## org.apache.axis
Interface HandlerIterationStrategy

All Known Implementing Classes:
  InvocationStrategy, WSDLGenStrategy

public interface HandlerIterationStrategy

Base interface for doing an action to Handlers with a MessageContext.

Author:
  Glen Daniels (gdaniels@apache.org)

Method Summary
`void` `visit(Handler handler, MessageContext msgContext)` Visit a handler with a message context.

Method Detail

### visit

    public void visit(Handler handler,
                      MessageContext msgContext)
               throws AxisFault

  Visit a handler with a message context.

  Parameters:
    `handler` - the `Handler` to apply to the context
    `msgContext` - the `MessageContext` used
  Throws:
    `AxisFault` - if this visit encountered an error

Copyright © 2005 Apache Web Services Project. All Rights Reserved.